org.apache.maven.scm.provider.git

## Class GitChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet
  - - org.apache.maven.scm.provider.git.GitChangeSet

- All Implemented Interfaces:
    Serializable

      public class GitChangeSet
      extends ChangeSet

  Version:
    $Id: GitChangeSet.java 823147 2009-10-08 12:39:23Z struberg $
  Author:
    Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.ChangeSet

      `AMPERSAND_ENTITY, APOSTROPHE_ENTITY, GREATER_THAN_ENTITY, LESS_THAN_ENTITY, QUOTE_ENTITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitChangeSet()`
    `GitChangeSet(Date date, String comment, String author, List files)`
    `GitChangeSet(String strDate, String userDatePattern, String comment, String author, List files)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.scm.ChangeSet

      `addFile, containsFilename, containsFilename, equals, escapeValue, getAuthor, getComment, getDate, getDateFormatted, getFiles, getRevision, getTimeFormatted, hashCode, setAuthor, setComment, setDate, setDate, setDate, setFiles, setRevision, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GitChangeSet

          public GitChangeSet()

    - #### GitChangeSet

          public GitChangeSet(String strDate,
                      String userDatePattern,
                      String comment,
                      String author,
                      List files)

      Parameters:
        `strDate` -
        `userDatePattern` -
        `comment` -
        `author` -
        `files` - List of `ChangeFile`

    - #### GitChangeSet

          public GitChangeSet(Date date,
                      String comment,
                      String author,
                      List files)

      Parameters:
        `date` -
        `comment` -
        `author` -
        `files` - List of `ChangeFile`

Copyright © 2003–2015. All rights reserved.